Solved What use API for a simple spigot 1.9.4 plugin ?

Discussion in 'Spigot Plugin Development' started by gryphus71, May 30, 2016.

  1. Hi,

    i want to make a new plugin on Spigot 1.9.4
    but i've not doing this for a while and don't remember what API i need to use ?

    i've use BuildTool and have :
    - /BuildTool/Spigot/Spigot-Server/target/original-spigot-1.9.4-R0.1-SNAPSHOT.jar
    - /BuildTool/Spigot/Spigot-Server/target/spigot-1.9.4-R0.1-SNAPSHOT.jar
    - /BuildTool/Spigot/Spigot-API/target/spigot-api-1.9.4-R0.1-SNAPSHOT-shaded.jar
    - /BuildTool/Spigot/Spigot-API/target/spigot-api-1.9.4-R0.1-SNAPSHOT.jar

    Thx in advance.
     
  2. You can use either the for-serer spigot-1.9.4 or the spigot-api-shaded. Obviously the shaded API is built for API use, but the server contains the API as well.
     
  3. thx and do you know the difference between shaded and not ?
    i've not found a real answer on internet, the signification ?